import { Column, Entity, PrimaryColumn } from "typeorm";

@Entity()
export class protocol {
  @PrimaryColumn({ generated: "increment", type: "int" })
  id: number;

  @Column({ type: "varchar", length: 255, unique: true })
  title: string;

  @Column({ type: "date" })
  date: Date;

  @Column({ type: "time", nullable: true })
  starttime: Date;

  @Column({ type: "time", nullable: true })
  endtime: Date;

  @Column({ type: "text", nullable: true })
  summary: string;
}
